package org.fusesource.camel;

import org.apache.camel.Exchange;
import org.apache.camel.Processor;
import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.converter.jaxb.JaxbDataFormat;
import org.apache.activemq.ActiveMQConnectionFactory;
import org.apache.camel.component.jms.JmsComponent;



public class OrderRouter extends RouteBuilder {

    @Override
    public void configure() throws Exception {
        JaxbDataFormat jaxb = new JaxbDataFormat("org.fusesource.camel");
		ActiveMQConnectionFactory act=new ActiveMQConnectionFactory("tcp://localhost:61616");
		this.getContext().addComponent("ActiveMQ", JmsComponent.jmsComponentAutoAcknowledge(act));

//        from("file:target/placeorder")
//		from("ActiveMQ:queue:Queue.RQ")											// 1
        from("jbi:service:http://my.company.com/example/1.0/MyRoutingService")
        .to("log:lab1-jbi")
          .convertBodyTo(String.class)
          .unmarshal(jaxb)
          .process(new Processor() {
            public void process(Exchange exchange) throws Exception {
                System.out.println("the body class is: " + exchange.getIn().getBody().getClass());
            }
          });
    }

}
